Crazy Eddies GUI System: CEGUI::FalagardStaticImage Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | Static Protected Attributes
CEGUI::FalagardStaticImage Class Reference

StaticImage class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardStaticImage:
[legend]
Collaboration diagram for CEGUI::FalagardStaticImage:
[legend]

List of all members.

## Public Member Functions
| FalagardStaticImage (const String &type)
| Constructor.
void | setImage (const Image *img)
| Set the image for this FalagardStaticImage widget.
const Image * | getImage (void) const
| Get the image for this FalagardStaticImage widget.
void | render ()
| Populate render cache.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.
## Protected Attributes
const Image * | d_image
## Static Protected Attributes
static FalagardStaticImageProperties::Image | d_imageProperty

## Detailed Description

StaticImage class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States:

- Enabled - basic rendering for enabled state.
- Disabled - basic rendering for disabled state.
- EnabledFrame - frame rendering for enabled state
- DisabledFrame - frame rendering for disabled state.
- WithFrameEnabledBackground - backdrop rendering for enabled state with frame enabled.
- WithFrameDisabledBackground - backdrop rendering for disabled state with frame enabled.
- NoFrameEnabledBackground - backdrop rendering for enabled state with frame disabled.
- NoFrameDisabledBackground - backdrop rendering for disabled state with frame disabled.
- WithFrameImage - image rendering when frame is enabled
- NoFrameImage - image rendering when frame is disabled (defaults to WithFrameImage if not present)

## Member Function Documentation

void CEGUI::FalagardStaticImage::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Reimplemented from CEGUI::FalagardStatic.